%define major 0
%define revision 19
%define minor 0
%define ver %major.%revision.%minor
%define rel alt1
%define libname libcinepaint

%def_disable static

Summary: CinePaint is a tool for manipulating images
Name: cinepaint
Version: %ver
Release: %rel
License: MIT
Group: Graphics
Source0: %name-%major.%revision-%minor.tar.gz
Source1: cp.16x16.png
Source2: cp.32x32.png
Source3: cp.48x48.png
Url: http://cinepaint.sourceforge.net
Patch0: %name-0.19-0-alt-lcms.patch

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: %libname = %version-%release

# Automatically added by buildreq on Thu Apr 28 2005
BuildRequires: flex gcc-c++ glib-devel gtk+-devel libjpeg-devel liblcms-devel libpng-devel libstdc++-devel libtiff-devel openexr-devel python-base python-dev python-modules-encodings xorg-x11-devel zlib-devel

Obsoletes: filmgimp

%description
 Film Gimp is a motion picture editing tool primarily used for painting and
retouching of movies. With sixteen bits per component instead of eight,
Film Gimp has much more color depth capacity than Gimp. Spencer Kimball
and Peter Mattis created Gimp originally, releasing the first version (0.54)
in 1995. Gimp is a widely-used alternative to Adobe Photoshop, a popular tool
for professional image editing. Film Gimp extended Gimp to operate upon a
series of images and in 16-bit linear and floating point color depths.
Film Gimp is currently based upon the HOLLYWOOD 1.0.4 branch of Gimp.

%package -n %libname
Summary: CinePaint libraries
Group: System/Libraries
License: GPL
Obsoletes: libfilmgimp

%description -n %libname
This package contains shared libraries used by CinePaint.

%package -n %libname-devel
Summary: CinePaint plugin and extension development kit
Group: Development/C
Requires: %libname = %version-%release
Obsoletes: libfilmgimp-devel

%description -n %libname-devel
Libraries files for writing CinePaint plugins and extensions.

%package -n %libname-devel-static
Summary: CinePaint static libraries
Group: Development/C
Requires: %libname-devel = %version-%release
Obsoletes: libfilmgimp-devel-static

%description -n %libname-devel-static
Static libraries for writing statically linked CinePaint plugins and extensions.

%prep
%setup -q -n %name-%major.%revision-%minor

%patch0 -p1

%build
%__aclocal
%__autoconf
%configure
%make_build

%install
%make install DESTDIR=%buildroot

# Menu entry
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
 section="Multimedia/Graphics" \
 title="CinePaint" \
 longtitle="A tool for manipulating images" \
 command="%name" \
 icon="%name.png"
EOF

%__install -pD -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
%__install -pD -m644 %SOURCE2 %buildroot/%_iconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot/%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog README COPYING NEWS
%_bindir/*
%_datadir/%name
%_mandir/man1/*
%_libdir/%name
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%files -n %libname
%_libdir/*.so.*

%files -n %libname-devel
%_datadir/aclocal/cinepaint.m4
%_libdir/*.so

%if_enabled static
%files -n %libname-devel-static
%_libdir/lib*.a
%endif

%changelog
* Thu Apr 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.19.0-alt1
- 0.19.0

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.18.1-alt1.1
- Rebuilt with libtiff.so.4.

* Mon Jan 19 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.18.1-alt1
- filmgimp to cinepaint rename
- rename gimp files

* Fri Mar 28 2003 Anatoly Yakushin <jaa@altlinux.ru> 0.16-alt1
- adopted spec for ALT Linux Team

* Tue Mar 04 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.16-1mdk
- initial release.
